This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 506366 - Review Request: bouncycastle-tsp - TSP libraries for Bouncy Castle
Review Request: bouncycastle-tsp - TSP libraries for Bouncy Castle
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-16 17:49 EDT by Orcan Ogetbil
Modified: 2009-06-26 22:59 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.43-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-23 12:27:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2009-06-16 17:49:50 EDT
Spec URL: http://oget.fedorapeople.org/review/bouncycastle-tsp.spec
SRPM URL: http://oget.fedorapeople.org/review/bouncycastle-tsp-1.43-1.fc11.src.rpm
Description: 
Bouncy Castle consists of a lightweight cryptography API and is a provider
for the Java Cryptography Extension and the Java Cryptography Architecture.
This library package offers additional classes, in particuar
generators/processors for Time Stamp Protocol (TSP), for Bouncy Castle.


This SPEC file is almost a carbon copy of bouncycastle-mail's SPEC file which is already in Fedora and this package is needed for updating itext to 2.1.6

rpmlint:
   bouncycastle-tsp.src:115: W: libdir-macro-in-noarch-package (main package)   %{_libdir}/gcj/%{name}

This can be ignored because, for the time being, we are not building the AOT bits for bouncycastle packages, and hence they are noarch, including this one.

koji rawhide build:
   http://koji.fedoraproject.org/koji/taskinfo?taskID=1419904
Comment 1 Mamoru TASAKA 2009-06-21 14:07:59 EDT
Well,

* Misc cosmetic issue
------------------------------------------------
BuildRequires:    bouncycastle == %{version}
Requires:       %{name} = %{version}-%{release}
------------------------------------------------
  - Choose "==" or "=" (I think using "=" instead
    of "==" is more common)

! BR/Requires
  - bouncycastle-mail already has "R: bouncycastle = 1.43" and
    "R/BR: bouncycastle = 1.43" is redundant (however
    I won't oppose to write this explicitly) 

No review blockers
-----------------------------------------------------------
  This package (bouncycastle-tsp) is APPROVED by mtasaka
-----------------------------------------------------------
Comment 2 Orcan Ogetbil 2009-06-21 15:31:07 EDT
Thanks a lot. I will clean those up.

New Package CVS Request
=======================
Package Name: bouncycastle-tsp
Short Description: TSP libraries for Bouncy Castle
Owners: oget
Branches: F-10 F-11
InitialCC:
Comment 3 Kevin Fenzi 2009-06-22 22:27:24 EDT
cvs done.
Comment 4 Fedora Update System 2009-06-22 23:19:44 EDT
bouncycastle-tsp-1.43-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/bouncycastle-tsp-1.43-2.fc11
Comment 5 Mamoru TASAKA 2009-06-23 12:27:24 EDT
Now closing (it seems F-10 build needs bouncycastle update and I will
leave it to you)
Comment 6 Orcan Ogetbil 2009-06-23 12:57:38 EDT
(In reply to comment #5)
> Now closing (it seems F-10 build needs bouncycastle update and I will
> leave it to you)  

Yes, I will do that if I get requests or when I have the energy, as it needs buildroot overrides etc.

Thanks for the review!
Comment 7 Fedora Update System 2009-06-26 22:59:45 EDT
bouncycastle-tsp-1.43-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.